<template>
    <div class="weather_card">
      <setind-city :getWeatherNow="getWeatherNow"/>
         <div class="row header"><div><h5>{{cityName}}</h5></div><div v-if="!isWeatherOpen" class="btn" @click="weatherOpenChange">SET</div></div>
         <div class="row weather-content">
            <div class="row row-elem"><div class="temp-icon"></div><p>{{temp}} °</p></div>
            <div class="row row-elem"><div class="wind-icon"></div><p>{{wind}} mps</p></div>
         </div> 
    </div>
 </template>
 
 <script>
/*  import { genCityList } from './cityList.json'; */
import SetindCity from './SetindCity.vue';
import { getCityWeather } from './requestCurWeather'
import { mapMutations, mapGetters } from 'vuex'
export default {
   components: {SetindCity},
   data() {
      return {
         cityName: '',
         searchingList: [],
         weatherInterval: null,
         curWeatherData: [],
         temp: null,
         wind: null
      }
   }, 
   methods: {
      ...mapMutations(['weatherOpenChange']),
      async getWeatherNow() {
         let data = await getCityWeather(this.chosenCity)
         if (data.name === 'Odesa') {
            this.cityName = 'Odessa'  
         }
         else if (data.name === 'Mykolaiv') {
            this.cityName = 'Nikolaev'  
         }
         else {
            this.cityName = data.name
         }
         
         this.temp = Math.round(data.main.temp)
         this.wind = data.wind.speed

      },
      async getWeatherInterval() {
         this.weatherInterval = setInterval(async () => {
            await this.getWeatherNow();
         }, 60000);
      }

   },
   computed: {
      ...mapGetters(['isWeatherOpen', 'chosenCity'])
   },
   async mounted() {
      await this.getWeatherNow()
      this.getWeatherInterval() 
   },
  }
 </script>
 
 <style scoped>
.temp-icon, .wind-icon {
   width: 40px;
   height: 40px;
   background-size: contain;
   background-repeat: no-repeat;
   background-position: center;
}
.temp-icon {
      background-image: url(@/icon/thermometer.png);
}
.wind-icon {
      background-image: url(@/icon/wind.png);
}
.row { 
   align-items: center;
   align-self: center;
   gap: 20px;
}
.weather-content {
   margin-top: 15px;
}
.row-elem { 
   gap: 20px;
}
p {
   margin: 0;
   font-size: 26px;
}
.btn {
   align-self:flex-start;
   font-size: 20px;
   text-shadow: 1px 1px 5px orange;
}
.header {
   justify-content: space-between;
} 
.input.close {
   height: 0;
   transition: all .6s ease-in;
   padding: 0;
}
.input.open {
   height: 50px;
   transition: all .6s ease-in;
   padding: 5px 12px;
}
 </style>